Apache mod_proxy “date” szolgáltatás megtagadásos sebezhetőség

CH azonosító

CH-693

Felfedezés dátuma

2007.09.02.

Súlyosság

Közepes

Érintett rendszerek

Apache Software Foundation
mod_proxy

Érintett verziók

Apache Software Foundation mod_proxy 2.0.x, 2.2.x

Összefoglaló

Jelentettek egy sérülékenységet az Apache mod_proxy modulban, amit kihasználva rosszindulatú támadók szolgáltatás megtagadást okozhatnak

Leírás

Jelentettek egy sérülékenységet az Apache mod_proxy modulban, amit kihasználva rosszindulatú támadók szolgáltatás megtagadást okozhatnak

A sebezhetőséget a proxy_util.c “ap_proxy_date_canon()” függvényének dátum fejléc kezelési hibája okozza. Ezt kihasználva egy különlegesen kialakított lekérdezés küldésével szolgáltatás megtagadást lehet előidézni az érintett kiszolgálón.

A sérülékenység sikeres kihasználása összeomlást okoz, ha egy threaded Multi-Processing Module-t (többszállas, többproceszoros feldolgozást támogató modult) használnak egy kiszolgálón, amin egy forward vagy reverse proxy működik.

A sérülékenységet az Apache 2.0-ás ágán a 2.0.59 és azelőtti, a 2.2-es ágán a 2.2.4 és azelőtti verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra